Components.utils.import("resource://gre/modules/Services.jsm");

dict_en_ZA = {

  curVersion: "20120710",

  firstrunURL: "http://translate.org.za/spellchecker/en-ZA/mozilla/firstrun",

  versionBaseURL: "http://translate.org.za/spellchecker/en-ZA/mozilla/version",

  prefs: Services.prefs.getBranch("extensions.en-ZA@dictionaries.addons.mozilla.org."),

  init: function () {

    var firstrun = dict_en_ZA.prefs.getBoolPref("firstrun");
    var infoURL, openInfo = false;

    if (firstrun) {
      dict_en_ZA.prefs.setBoolPref("firstrun", false);
      dict_en_ZA.prefs.setCharPref("installedVersion", this.curVersion);

      openInfo = true;
      infoURL = dict_en_ZA.firstrunURL;
    } else {
      try {
        var installedVersion = dict_en_ZA.prefs.getCharPref("installedVersion");

        /* We are in the middle of an upgrade */
        if (this.curVersion != installedVersion) {
          dict_en_ZA.prefs.setCharPref("installedVersion", this.curVersion);

          openInfo = true;
          infoURL = dict_en_ZA.versionBaseURL +
            this.curVersion.replace(/\./g, '');
        }
      } catch (ex) { /* Reinstall: do we need to do something in this situation? */
      }
    }

    if (openInfo) {
      setTimeout(function () {
        gBrowser.selectedTab = gBrowser.addTab(infoURL);
      }, 1000);
    }
  },
};

window.addEventListener("load", function(e) { dict_en_ZA.init(); }, false);
